# `mix bb.to_urdf`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/mix/tasks/bb.to_urdf.ex#L5)

Export a BB robot definition to URDF XML format.

## Usage

    mix bb.to_urdf MyApp.Robot --output robot.urdf
    mix bb.to_urdf MyApp.Robot -o -

## Options

  * `--output`, `-o` - Output file path. Use `-` for stdout.
    If not specified, prints to stdout.

---

*Consult [api-reference.md](api-reference.md) for complete listing*
